Package Details: git-subrepo-git 0.3.0.r72.g1e79595-1

Git Clone URL: https://aur.archlinux.org/git-subrepo-git.git (read-only)
Package Base: git-subrepo-git
Description: Git command is an improvement from git-submodule and git-subtree.
Upstream URL: https://github.com/ingydotnet/git-subrepo
Licenses: GPL
Conflicts: git-subrepo
Provides: git-subrepo=0.3.0.r72.g1e79595
Submitter: jamesan
Maintainer: jamesan
Last Packager: jamesan
Votes: 1
Popularity: 0.000000
First Submitted: 2016-07-10 20:52
Last Updated: 2016-07-10 21:55

Dependencies (0)

Required by (0)

Sources (2)

Latest Comments

boojum commented on 2017-12-01 14:06

at least one test is failing:

test/status.t ............... cat: invalid option -- 'F'
Try 'cat --help' for more information.
test/status.t ............... No subtests run
test/submodule.t ............ ok

Test Summary Report
-------------------
test/status.t (Wstat: 0 Tests: 0 Failed: 0)
Parse errors: No plan found in TAP output
Files=31, Tests=266, 108 wallclock secs ( 0.26 usr 0.09 sys + 69.41 cusr 45.42 csys = 115.18 CPU)
Result: FAIL
make: *** [Makefile:35: test] Error 1
==> ERROR: A failure occurred in check().
Aborting...

lilydjwg commented on 2017-08-21 13:27

It doesn't build now. The make-destdir.patch is no longer needed.

lilydjwg commented on 2017-08-21 10:19

This package depends on git.

02m commented on 2017-08-21 09:08

Also got the same error as chopps. Needed to install it manually by running:

pacaur -U .cache/pacaur/git-subrepo-git/git-subrepo-git-0.3.1.r19.ga7ee886-1-any.pkg.tar

chopps commented on 2017-06-22 10:09

I get a failed to install b/c .SRCINFO data is different from PKGBUILD.

lilydjwg commented on 2017-05-12 03:02

Can you include the zsh completion file share/zsh-completion/_git-subrepo?